import request from '@/utils/request'
// const baseURL = process.env.VUE_APP_BASE_API
const baseURL = ''

// 时域分析
export function getTimeDomainData(data) {
  return request({
    url: `${baseURL}/iot/dashboard/timeDomainData`,
    method: 'post',
    data
  })
}
// 频域分析
export function getFrequencyDomainData(data) {
  return request({
    url: `${baseURL}/iot/dashboard/frequencyDomainData`,
    method: 'post',
    data
  })
}
// 获取指定实例采样数据列表
export function getDataPreview(data) {
  return request({
    url: `${baseURL}/iot/dashboard/dataPreview`,
    method: 'post',
    data
  })
}
